summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEduard Braun <Eduard.Braun2@gmx.de>2017-06-13 21:52:01 +0000
committerEduard Braun <Eduard.Braun2@gmx.de>2017-06-16 15:53:04 +0000
commit1effb4af207ae12e9823c2b899e8a2a774f0c077 (patch)
tree81703950ecab1b117f05e866706e8e042c745fad
parentBuild all branches by default (no reason not to and doesn't hurt as long as t... (diff)
downloadinkscape-1effb4af207ae12e9823c2b899e8a2a774f0c077.tar.gz
inkscape-1effb4af207ae12e9823c2b899e8a2a774f0c077.zip
actually fail if there is an error
(this is necessary as we're running an additional bash inside the CI environment and are never generating any exit codes on the actual console)
-rw-r--r--appveyor.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/appveyor.sh b/appveyor.sh
index dbf13ac32..cf0f08942 100644
--- a/appveyor.sh
+++ b/appveyor.sh
@@ -16,22 +16,24 @@ EOF
-# install dependecies
+# install dependencies
pacman -S $MINGW_PACKAGE_PREFIX-ccache --needed --noconfirm --noprogressbar
source ../msys2installdeps.sh
# configure
ccache --max-size=200M
-cmake .. -G Ninja -DCMAKE_C_COMPILER_LAUNCHER="ccache" -DCMAKE_CXX_COMPILER_LAUNCHER="ccache"
+cmake .. -G Ninja -DCMAKE_C_COMPILER_LAUNCHER="ccache" -DCMAKE_CXX_COMPILER_LAUNCHER="ccache" || exit 1
# build
ccache --zero-stats
-ninja
+ninja || exit 1
ccache --show-stats
-ninja install
+
+# install
+ninja install || exit 1
# test
-inkscape/inkscape.exe -V
+inkscape/inkscape.exe -V || exit 1
# package
7z a inkscape.7z inkscape